<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Get the API key from the options
$api_settings = get_option('hellopack_updater_api_settings');
$api_key = isset($api_settings['api_key']) ? $api_settings['api_key'] : '';

if (strlen($api_key) == 40){
    add_action('admin_notices', 'display_api_key_warning');
}

function display_api_key_warning() {
    ?>
<div class="notice notice-error is-dismissible">
     <p>
     <p>
          <?php 
  echo sprintf(
    __( '<strong>Figyelem!</strong> Az oldal jelenleg egy régi HelloPack API-kulcsot használ, ami miatt a weboldal hamarosan nem fog bővítmény frissítéseket kapni. Ahhoz, hogy az oldalad zavartalanul működjön továbbra is, kérlek, hozz létre egy új kulcsot. Így biztosíthatod, hogy az oldalad hibamentesen és naprakészen működjön tovább. További részletek:  <a href="%s" target="_blank">Régi API kulcs cseréje újra</a>.', 'hellopack' ),
    esc_url( 'https://hub.hellowp.io/docs/dokumentacio/hellopack/migralas-1-rol-2re/' )
  ); 
  ?>
     </p>
     </p>

</div>
<?php
}